BizKitHub
DocsAPI ReferenceLedger/bff/ledger/dimension/type
postLedgerAdmin BFF

/bff/ledger/dimension/type

Create or update a dimension type

LedgerpostBffLedgerDimensionType

Parameters

JSON body

Request body

application/json
entityIdstringRequired

Accounting entity external id.

Length: 16–24
idstringOptional
Length: 24–24
codestringOptional
Length: 1–30
namestringOptional
Length: 1–100
kind"cost_center" | "project" | "branch" | "vehicle" | "deal" | "custom"Optional
isActivebooleanOptional
positionstring | integerOptional
One of 2:
Variant 1
stringinteger
Default: 0
Variant 2
integer
Range: 0–9999

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

POST /bff/ledger/dimension/type

post
curl -X POST "https://api.bizkithub.com/bff/ledger/dimension/type" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "entityId": "example_entityId",
  "id": "example_id",
  "code": "example_code",
  "name": "example_name",
  "isActive": false
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key